<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>View Product</title>
    <link rel="stylesheet" href="/vendors/bootstrap/bootstrap.min.css">
    <link rel="stylesheet" href="/vendors/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="/vendors/themify-icons/themify-icons.css">
    <link rel="stylesheet" href="/vendors/linericon/style.css">
    <link rel="stylesheet" href="/vendors/owl-carousel/owl.theme.default.min.css">
    <link rel="stylesheet" href="/vendors/owl-carousel/owl.carousel.min.css">
    <link rel="stylesheet" href="/vendors/nice-select/nice-select.css">
    <link rel="stylesheet" href="/vendors/nouislider/nouislider.min.css">

    <link rel="stylesheet" href="/css/style.css">
</head>
<body>
<div th:insert = "fragments/header" :: header></div>
<!--================Single Product Area =================-->
<div class="product_image_area">
    <div class="container">
        <div class="row s_product_inner">
            <div class="col-lg-6">
                <div class="owl-carousel owl-theme s_Product_carousel">
                    <div class="single-prd-item">
                        <img class="img-fluid" th:src="${'data:image/png;base64,'+ productDto.image}" alt=" ">
                    </div>
                </div>
            </div>
            <div class="col-lg-5 offset-lg-1">
                <div class="s_product_text">
                    <h3 th:text="${productDto.name}"></h3>
                    <h2 th:text="${productDto.price + '$'}"></h2>
                    <ul class="list">
                        <li><a class="active" href="#"><span>Category</span> : <span th:text="${productDto.category}"></span></a></li>
                        <li><a href="#"><span>Availibility</span> : <span th:text="${productDto.quantity +' items'}"></span></a></li>
                    </ul>
                    <p th:text="${productDto.description}"></p>
                    <div class="product_count">
                        <form th:object="${quantityDto}" th:action="@{/product/{productId}/add(productId = ${productDto.productId})}" method="post">
                            <label for="qty" >Quantity</label>
                            <input th:field="*{quantity}" type="text" id="qty" size="2" maxlength="12" value="1" title="Quantity:" class="input-text qty">
                            <button type="submit" class="btn btn-primary">Add to cart</button>
                        </form>
                    </div>
                    <div class="card_area d-flex align-items-center">
                        <a class="icon_btn" href="#"><i class="lnr lnr lnr-diamond"></i></a>
                        <a class="icon_btn" href="#"><i class="lnr lnr lnr-heart"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--================End Single Product Area =================-->

<script src="/vendors/jquery/jquery-3.2.1.min.js"></script>
<script src="/vendors/bootstrap/bootstrap.bundle.min.js"></script>
<script src="/vendors/skrollr.min.js"></script>
<script src="/vendors/owl-carousel/owl.carousel.min.js"></script>
<script src="/vendors/nice-select/jquery.nice-select.min.js"></script>
<script src="/vendors/jquery.ajaxchimp.min.js"></script>
<script src="/vendors/mail-script.js"></script>
<script src="/js/main.js"></script>

</body>
</html>